// Mike Maxim
// Absyn for if statements

package edu.cmu.cs.l3.absyn;

public class ASIfStatement extends ASStatement {

    public ASIfStatement(int p, ASExpression te, ASStatement then) {
	super(p); m_test=te; m_thenclause = then; m_elseclause=null;

	m_classname = "ASIfStatement";
    }

    public ASIfStatement(int p, ASExpression te, ASStatement then, ASStatement elsep) {
	super(p); m_test=te; m_thenclause=then; m_elseclause = elsep;

	m_classname = "ASIfStatement";
    }

    public ASExpression getTest() {
	return m_test;
    }

    public ASStatement getThenClause() {
	return m_thenclause;
    }

    public ASStatement getElseClause() {
	return m_elseclause;
    }

    private ASExpression m_test;
    private ASStatement m_thenclause,m_elseclause;

}
